Bitcoin Forum
April 23, 2019, 03:00:41 PM *
News: Latest Bitcoin Core release: 0.17.1 [Torrent]
 
   Home   Help Search Login Register More  
Pages: « 1 ... 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 [178] 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 ... 239 »
  Print  
Author Topic: margin - Bitcoin Trading Bot: Binance, Coinbase Pro, Bittrex, HitBTC, Bitfinex..  (Read 251263 times)
thomasmay
Newbie
*
Offline Offline

Activity: 5
Merit: 0


View Profile
January 21, 2018, 10:43:51 PM
 #3541

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Thanks Rene.

I am almost there but at execution, I get this:
Code:
pi@raspberrypi:~ $ cd leonArdo-arm/
pi@raspberrypi:~/leonArdo-arm $ ./run-leonArdo.sh
running on Raspbian
./leonArdo.arm: relocation error: /lib/arm-linux-gnueabihf/libpthread.so.0: symbol h_errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference
pi@raspberrypi:~/leonArdo-arm $

1556031641
Hero Member
*
Offline Offline

Posts: 1556031641

View Profile Personal Message (Offline)

Ignore
1556031641
Reply with quote  #2

1556031641
Report to moderator
1556031641
Hero Member
*
Offline Offline

Posts: 1556031641

View Profile Personal Message (Offline)

Ignore
1556031641
Reply with quote  #2

1556031641
Report to moderator
1556031641
Hero Member
*
Offline Offline

Posts: 1556031641

View Profile Personal Message (Offline)

Ignore
1556031641
Reply with quote  #2

1556031641
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1556031641
Hero Member
*
Offline Offline

Posts: 1556031641

View Profile Personal Message (Offline)

Ignore
1556031641
Reply with quote  #2

1556031641
Report to moderator
leonArdo@margin
Legendary
*
Offline Offline

Activity: 1708
Merit: 1005


View Profile WWW
January 21, 2018, 10:47:34 PM
 #3542

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Thanks Rene.

I am almost there but at execution, I get this:
Code:
pi@raspberrypi:~ $ cd leonArdo-arm/
pi@raspberrypi:~/leonArdo-arm $ ./run-leonArdo.sh
running on Raspbian
./leonArdo.arm: relocation error: /lib/arm-linux-gnueabihf/libpthread.so.0: symbol h_errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference
pi@raspberrypi:~/leonArdo-arm $



What Raspbian/Pi version are you using? 

All the best,

 Rene

money4good
Jr. Member
*
Offline Offline

Activity: 56
Merit: 1


View Profile
January 22, 2018, 12:33:19 AM
 #3543

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Thanks Rene.

I am almost there but at execution, I get this:
Code:
pi@raspberrypi:~ $ cd leonArdo-arm/
pi@raspberrypi:~/leonArdo-arm $ ./run-leonArdo.sh
running on Raspbian
./leonArdo.arm: relocation error: /lib/arm-linux-gnueabihf/libpthread.so.0: symbol h_errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference
pi@raspberrypi:~/leonArdo-arm $



What Raspbian/Pi version are you using? 

All the best,

 Rene

If using the desktop GUI you can go to download folder and “extract here...” then go in and double click the .sh file and hit execute. Just a graphical way of doing the same thing.
hackbyte
Copper Member
Full Member
***
Offline Offline

Activity: 273
Merit: 110


Doing cryptocurrency stuff since 2010.


View Profile WWW
January 22, 2018, 02:04:27 AM
 #3544

Edit[/i]: It seems that bittrex actually changed it's api in some ways, i cant set up any orders, i can't see any active or filled orders and i don't get the correct values of my wallets.... so, it's actually completely broken. Even with leonArdo 3.7.7.......

Thanks for your thorough reporting. You help is very much apprenticed!
We are looking into the Bittrex API issues.

EDIT: Is anyone still having problems? Looking like a temp problem for a longer period if time with the Bittrex API.


All the best,

 Rene

I actually tried it again a few moments agot ... no temporary problem but still persistent.......

Hacky

Cryptocurrency Mining, Gambling, Lending, Trading, Staking .. So much to do with them, since 2010!
Donations-> 1bytoroRvXLGc1FWTob5h1oH92VMdUSFi Questions? Dunno! To the moon? Mün or bust!
Lust auf klönschnack? Schau bei uns rein im Cryptotalk (D-A-CH+EU) unter https://t.me/cryptotalkgerman
gnoe
Newbie
*
Offline Offline

Activity: 55
Merit: 0


View Profile
January 22, 2018, 06:39:29 AM
 #3545

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Whenever I try installing gt5-svg on my Raspberry/Raspbian setup, I get the following message.
pi@raspberrypi:~ $ sudo apt-get install qt5-svg
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package qt5-svg
pi@raspberrypi:~ $


The strange thing is that leoNardo runs without issues after this failed package installation.
Any idea?

Thanks.


crynvestor
Member
**
Offline Offline

Activity: 95
Merit: 10


View Profile
January 22, 2018, 08:04:43 AM
 #3546

Great and awesome service, please keep it up! Any news on Binance addtion?
leonArdo@margin
Legendary
*
Offline Offline

Activity: 1708
Merit: 1005


View Profile WWW
January 22, 2018, 09:03:08 AM
 #3547

Edit[/i]: It seems that bittrex actually changed it's api in some ways, i cant set up any orders, i can't see any active or filled orders and i don't get the correct values of my wallets.... so, it's actually completely broken. Even with leonArdo 3.7.7.......

Thanks for your thorough reporting. You help is very much apprenticed!
We are looking into the Bittrex API issues.

EDIT: Is anyone still having problems? Looking like a temp problem for a longer period if time with the Bittrex API.


All the best,

 Rene

I actually tried it again a few moments agot ... no temporary problem but still persistent.......

Hacky



Hi Hacky,

have you been running many market maker bots as well? Seems not to be a global issue.
Maybe you ran into the problem with to little filled orders on Bittrex?

All the best,

  Rene

leonArdo@margin
Legendary
*
Offline Offline

Activity: 1708
Merit: 1005


View Profile WWW
January 22, 2018, 09:20:34 AM
 #3548

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Whenever I try installing gt5-svg on my Raspberry/Raspbian setup, I get the following message.
pi@raspberrypi:~ $ sudo apt-get install qt5-svg
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package qt5-svg
pi@raspberrypi:~ $


The strange thing is that leoNardo runs without issues after this failed package installation.
Any idea?

Thanks.


What version of Raspbian are you runnig and on which hardware rev?

All the best,

  Rene

hackbyte
Copper Member
Full Member
***
Offline Offline

Activity: 273
Merit: 110


Doing cryptocurrency stuff since 2010.


View Profile WWW
January 22, 2018, 09:38:18 AM
 #3549

I actually tried it again a few moments agot ... no temporary problem but still persistent.......

Hacky

Hi Hacky,

have you been running many market maker bots as well? Seems not to be a global issue.
Maybe you ran into the problem with to little filled orders on Bittrex?

All the best,

  Rene

Yeah you can maybe consider me to be a poweruser ... So yes, i had 3 or 5 MarginMakers running over there.

I'd set them up to let the orders stay for _at least_ 30 minutes or longer.....

I wonder, would i not get an information from bittrex if they restrict my account because of whatever reason? Wink

Hacky

Cryptocurrency Mining, Gambling, Lending, Trading, Staking .. So much to do with them, since 2010!
Donations-> 1bytoroRvXLGc1FWTob5h1oH92VMdUSFi Questions? Dunno! To the moon? Mün or bust!
Lust auf klönschnack? Schau bei uns rein im Cryptotalk (D-A-CH+EU) unter https://t.me/cryptotalkgerman
cryptolelefla
Member
**
Offline Offline

Activity: 121
Merit: 10


View Profile
January 22, 2018, 09:58:22 AM
Last edit: January 22, 2018, 11:28:13 AM by cryptolelefla
 #3550

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Whenever I try installing gt5-svg on my Raspberry/Raspbian setup, I get the following message.
pi@raspberrypi:~ $ sudo apt-get install qt5-svg
Reading package lists... Done
Building dependency tree      
Reading state information... Done
E: Unable to locate package qt5-svg
pi@raspberrypi:~ $


The strange thing is that leoNardo runs without issues after this failed package installation.
Any idea?

Thanks.





Got same error... on rb pi3 on raspbian STRETCH.


Hardware   : BCM2835
Revision   : a22082
Serial      : 0000000049606e4b
leonArdo@margin
Legendary
*
Offline Offline

Activity: 1708
Merit: 1005


View Profile WWW
January 22, 2018, 11:26:42 AM
 #3551

Hey guys,

quick update for everyone using leonArdo on a Raspberry Pi over VNC. A couple of you have been experiencing weird keyboard issues which came down to Qt5 needing a VNC server with the XKEYBOARD extension. One VNC server that's available on ARM and that we've tested successfully with Raspbian on the server side and both Windows and Linux on the client side is called x11vnc. On Raspbian at least it's already in the package manager, so installation should be a matter of doing a "sudo apt install x11vnc".

If you are reading this with the same issue on non-ARM machines, you have another choice called TurboVNC.

Hope this helps you guys using leonArdo in a way that suits your needs! If you have any further update on your side, such as other server options or configurations that work particularly well for you, please don't hesitate to pass them along!

Christian

leonArdo@margin
Legendary
*
Offline Offline

Activity: 1708
Merit: 1005


View Profile WWW
January 22, 2018, 12:03:04 PM
 #3552

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Whenever I try installing gt5-svg on my Raspberry/Raspbian setup, I get the following message.
pi@raspberrypi:~ $ sudo apt-get install qt5-svg
Reading package lists... Done
Building dependency tree      
Reading state information... Done
E: Unable to locate package qt5-svg
pi@raspberrypi:~ $


The strange thing is that leoNardo runs without issues after this failed package installation.
Any idea?

Thanks.





Got same error... on rb pi3 on raspbian STRETCH.


Hardware   : BCM2835
Revision   : a22082
Serial      : 0000000049606e4b


Ok, to clarify: the run-leonArdo.sh script should run out of the box, except for libqt5websockets5 having to be installed on Raspbian and on Raspbian only. If an installation of extra packages is necessary on some systems, please let us know where exactly this is the case. I realize this is confusing, so I'm going to automate the installation of the websockets package in the run script.

BTW, the Qt SVG package on Raspbian is called libqt5svg5. So should you need it, that's what you need, but I don't think you need it Wink

Thanks to everyone who helps us tame this very diverse zoo that is the ARM ecosystem!

Christian

criptick
Newbie
*
Offline Offline

Activity: 7
Merit: 0


View Profile
January 22, 2018, 01:11:17 PM
 #3553

Hi, i've downloaded the demo to play with before buying, i can't change anything in 'Additional Options', is that because it's a demo ?


Thanks, Gary.
criptick
Newbie
*
Offline Offline

Activity: 7
Merit: 0


View Profile
January 22, 2018, 01:40:57 PM
 #3554

No worries it's because the bot was running.
dbolivar
Member
**
Offline Offline

Activity: 119
Merit: 10


View Profile
January 22, 2018, 04:34:16 PM
 #3555

Hmm interesting, so that's why this weekend, when I tested leonArdo in a small Linux remote server I have, over VNC, the keyboard was crazy when using TightVNC server. However, when I switched to Xvnc4 (vnc4server package), everything was good, confirming my guess it was a VNC server problem.

So, add TightVNC to your blacklist, and Xvnc4 (vnc4server) to your whitelist. Smiley


Hey guys,

quick update for everyone using leonArdo on a Raspberry Pi over VNC. A couple of you have been experiencing weird keyboard issues which came down to Qt5 needing a VNC server with the XKEYBOARD extension. One VNC server that's available on ARM and that we've tested successfully with Raspbian on the server side and both Windows and Linux on the client side is called x11vnc. On Raspbian at least it's already in the package manager, so installation should be a matter of doing a "sudo apt install x11vnc".

If you are reading this with the same issue on non-ARM machines, you have another choice called TurboVNC.

Hope this helps you guys using leonArdo in a way that suits your needs! If you have any further update on your side, such as other server options or configurations that work particularly well for you, please don't hesitate to pass them along!

Christian

thomasmay
Newbie
*
Offline Offline

Activity: 5
Merit: 0


View Profile
January 22, 2018, 11:05:32 PM
 #3556

I Am trying to install Leonardo on a Raspberry PI but I am unsure how to install the files that are in the tar.zx

Is there a repository in which Leonardo is included to be installed via apt-get?

A few instructions would be great.

Have you tried?

sudo apt-get install libqt5websockets5
sudo apt-get install qt5-svg
wget http://marginsoftware.de/downloads/leonArdo-arm.tar.xz
tar xvJf leonArdo-arm.tar.xz
cd leonArdo-arm/
./run-leonArdo.sh

All the best,

Rene

Thanks Rene.

I am almost there but at execution, I get this:
Code:
pi@raspberrypi:~ $ cd leonArdo-arm/
pi@raspberrypi:~/leonArdo-arm $ ./run-leonArdo.sh
running on Raspbian
./leonArdo.arm: relocation error: /lib/arm-linux-gnueabihf/libpthread.so.0: symbol h_errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference
pi@raspberrypi:~/leonArdo-arm $



What Raspbian/Pi version are you using?  

All the best,

 Rene

OK so this happened when dealing with a PI rev3 with a 2017-3-03 build on Jessie.
I tried updating the OS, but like always something broke. So I did a clean install to the current rev of Stretch. I did the before mentioned procedure and it worked. I did modify qt5-svg to libqt5svg5, like mentioned in the tread.

LEONARDO IS RUNNING on the Pi

Only thought I get this:

Code:
pi@raspberrypi:~ $ cd leonArdo-arm/
pi@raspberrypi:~/leonArdo-arm $ ./run-leonArdo.sh
running on Raspbian
libEGL warning: DRI2: failed to authenticate

** (leonArdo.arm:8645): WARNING **: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

Not sure what to make of it but I hope this can help the dev. team.

PS: loving the software. Can't wait what is in store..
CTShaman
Jr. Member
*
Offline Offline

Activity: 227
Merit: 4


View Profile
January 23, 2018, 12:27:16 AM
 #3557

Is this one for the X-Files?
EMC2 on Bittrex

Bucket List Item #10: Buy and sell a WALL with margin.
Grumble Guff
Newbie
*
Offline Offline

Activity: 19
Merit: 0


View Profile
January 23, 2018, 09:11:10 AM
 #3558

Hi!

  I just tried updating the Arm version on my Raspberry Pi to 3.7.8 and I get the following error when trying to unzip leonArdo-arm.tar.xz:

leonArdo-arm/lib/libxcb-xinerama.so.0
leonArdo-arm/lib/libXcomposite.so.1
leonArdo-arm/lib/libwayland-server.so.0
leonArdo-arm/lib/libQt5XcbQpa.so.5
xz: (stdin): Compressed data is corrupt
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now
criptick
Newbie
*
Offline Offline

Activity: 7
Merit: 0


View Profile
January 23, 2018, 12:56:14 PM
 #3559

Leonardo should have its own forum, rather than people having to wade through this mega-thread, then we can have tech support sorted by platform, issue type etc.
Grumble Guff
Newbie
*
Offline Offline

Activity: 19
Merit: 0


View Profile
January 23, 2018, 01:16:23 PM
 #3560

Leonardo should have its own forum, rather than people having to wade through this mega-thread, then we can have tech support sorted by platform, issue type etc.


I agree, there is so much information losrt somewhere in this 178 page megathread!

Even a dedicated subreddit would be better than this!
Pages: « 1 ... 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 [178] 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 ... 239 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!